MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032232Open CASCADE[OCCT] OCCT:Configurationpublic2021-03-20 11:342021-04-17 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032232: Draw Harness - make Tk dependency optional
DescriptionIt is proposed to support building Draw Harness with Tcl, but without Tk support, as the latter one involves a lot of platform-specific dependencies and might be not yet ported to some systems.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032268assigneddrazmyslovich Community Configuration, CMake - a proposal for minimal build flag in CMake 
child of 0031401newkgv Open CASCADE Visualization - revise Toolkits dependency graph 
child of 0032303newkgv Open CASCADE Draw Harness - fix compilation issues when using Emscripten SDK 

-  Notes
(0099695)
git (administrator)
2021-03-23 22:40

Branch CR32232 has been created by kgv.

SHA-1: 047f40911d9e4df3267b59ac30bd265f9e7e9c0f


Detailed log of new commits:

Author: kgv
Date: Mon Mar 22 00:46:34 2021 +0300

    DRAWEXE.html

Author: kgv
Date: Mon Mar 22 00:27:36 2021 +0300

    dversion - add WebAssembly info

Author: kgv
Date: Sun Mar 21 23:26:56 2021 +0300

    OSD_Process::UserName() - do not call getpwuid() within WebAssembly

Author: kgv
Date: Sun Mar 21 20:01:12 2021 +0300

    WebAssembly fixes

Author: kgv
Date: Sat Mar 20 13:10:49 2021 +0300

    0032232: Draw Harness - make Tk dependency optional

Author: kgv
Date: Sat Mar 20 00:31:01 2021 +0300

    Draw Harness - add DRAWBUNDLE executable with pre-loaded plugins

Author: kgv
Date: Sat Mar 20 00:08:50 2021 +0300

    Draw Harness - postpone initialization of global variables
(0100310)
git (administrator)
2021-04-15 12:15

Branch CR32232_1 has been created by kgv.

SHA-1: 4eb3412018c8b3709abe4c7453ec72805920a7fe


Detailed log of new commits:

Author: kgv
Date: Sat Mar 20 13:10:49 2021 +0300

    0032232: Draw Harness - make Tk dependency optional
(0100316)
kgv (developer)
2021-04-15 14:10

Patch is ready for review
- OCCT: branch CR32232_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32232_1-master-KGV/ [^]
(0100317)
osa (developer)
2021-04-15 14:59

The patch was reviewed
(0100389)
bugmaster (administrator)
2021-04-17 13:08

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100401)
git (administrator)
2021-04-17 14:02

Branch CR32232_1 has been deleted by inv.

SHA-1: 4eb3412018c8b3709abe4c7453ec72805920a7fe
(0100419)
git (administrator)
2021-04-17 14:02

Branch CR32232 has been deleted by inv.

SHA-1: 047f40911d9e4df3267b59ac30bd265f9e7e9c0f

- Related Changesets
occt: master 87b68a0f
Timestamp: 2021-03-20 10:10:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032232: Draw Harness - make Tk dependency optional
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff ] File ]
mod - src/TKIVtkDraw/EXTERNLIB Diff ] File ]
mod - src/TKViewerTest/EXTERNLIB Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-20 11:34 kgv New Issue
2021-03-20 11:34 kgv Assigned To => kgv
2021-03-20 13:10 kgv Summary Draw Harness - make Tk option dependency => Draw Harness - make Tk dependency optional
2021-03-23 22:40 git Note Added: 0099695
2021-04-15 12:15 git Note Added: 0100310
2021-04-15 12:38 kgv Category OCCT:DRAW => OCCT:Configuration
2021-04-15 12:41 kgv Relationship added child of 0031401
2021-04-15 12:41 kgv Relationship added related to 0032268
2021-04-15 12:41 kgv Relationship added child of 0032303
2021-04-15 14:10 kgv Note Added: 0100316
2021-04-15 14:10 kgv Assigned To kgv => osa
2021-04-15 14:10 kgv Status new => resolved
2021-04-15 14:59 osa Note Added: 0100317
2021-04-15 14:59 osa Assigned To osa => bugmaster
2021-04-15 14:59 osa Status resolved => reviewed
2021-04-17 13:08 bugmaster Note Added: 0100389
2021-04-17 13:08 bugmaster Status reviewed => tested
2021-04-17 13:14 bugmaster Test case number => Not required
2021-04-17 13:41 bugmaster Changeset attached => occt master 87b68a0f
2021-04-17 13:41 bugmaster Status tested => verified
2021-04-17 13:41 bugmaster Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100401
2021-04-17 14:02 git Note Added: 0100419


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker